## org.eclipse.datatools.enablement.sybase.asa.loaders
Class SybaseASATableLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
          org.eclipse.datatools.enablement.sybase.asa.baseloaders.BaseTableASABaseLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SybaseASABaseTableLoader
                  org.eclipse.datatools.enablement.sybase.asa.loaders.SybaseASATableLoader

    public class SybaseASATableLoader

extends SybaseASABaseTableLoader

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
`TableASABaseLoader.ASABaseColumnLoader, TableASABaseLoader.IASABaseLoaderTable`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.BaseTableASABaseLoader
`COLUMN_CHECK_CONSTRAINT_TYPE, FOREIGN_KEY_TYPE, PRIMARY_KEY_TYPE, TABLE_CHECK_CONSTRAINT_TYPE, UNIQUE_CONSTRAINT_TYPE`

Constructor Summary
`SybaseASATableLoader(SybaseASATable catalogTable)`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.BaseTableASABaseLoader
`loadConstraints`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.TableASABaseLoader
`loadColumns, loadIndices, loadTableInfo, loadTriggers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASATableLoader

    public SybaseASATableLoader(SybaseASATable catalogTable)